%define upstream_name    Crypt-X509
%define upstream_version 0.51

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Parse a X.509 certificate
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Convert::ASN1)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
*Crypt::X509* parses X.509 certificates. Methods are provided for accessing
most certificate elements.

It is based on the generic ASN.1 module by Graham Barr, on the _x509decode_
example by Norbert Klasen and contributions on the
perl-ldap-dev-Mailinglist by Chriss Ridd.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.510.0-3.mga6
+ Revision: 1024701
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.510.0-2.mga6
+ Revision: 971735
- Mageia 6 Mass Rebuild

* Sun Oct 18 2015 shlomif <shlomif> 0.510.0-1.mga6
+ Revision: 892509
- imported package perl-Crypt-X509


* Sun Oct 18 2015 cpan2dist 0.51-1mga
- initial mageia release, generated with cpan2dist
